## haskell-libtagc 0.12.0

=== demo/Makefile ===

PROGS  = main
SOURCES = Main.hs

all : $(PROGS)

main : Main.hs
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== debian/changelog ===
haskell-libtagc (0.12.0-5) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:27 +0200

haskell-libtagc (0.12.0-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:17 +0200

haskell-libtagc (0.12.0-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:47 +0200

haskell-libtagc (0.12.0-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:52:57 +0100

haskell-libtagc (0.12.0-1) unstable; urgency=low

  * Initial packaging.

 -- Clint Adams <clint@debian.org>  Sat, 25 Jun 2011 18:47:42 -0400

=== debian/control ===
Source: haskell-libtagc
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-glib-dev
  , libghc-glib-prof
  , libtagc0-dev
Build-Depends-Indep: ghc-doc
  , libghc-glib-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/libtagc
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-libtagc
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-libtagc

Package: libghc-libtagc-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to TagLib C library${haskell:ShortBlurb}
 It provides Haskell bindings to TagLib.  TagLib is a library for
 reading and editing the meta-data of several popular audio formats.
 Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis
 comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 and TrueAudio files.
 .
 ${haskell:Blurb}

Package: libghc-libtagc-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to TagLib C library${haskell:ShortBlurb}
 It provides Haskell bindings to TagLib.  TagLib is a library for
 reading and editing the meta-data of several popular audio formats.
 Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis
 comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 and TrueAudio files.
 .
 ${haskell:Blurb}

Package: libghc-libtagc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to TagLib C library${haskell:ShortBlurb}
 It provides Haskell bindings to TagLib.  TagLib is a library for
 reading and editing the meta-data of several popular audio formats.
 Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis
 comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 and TrueAudio files.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|libtagc-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/libtagc \
    ([\d\.]*\d)/
